Bug 823047 - Review Request: php-symfony2-DomCrawler - Symfony2 DomCrawler Component
Review Request: php-symfony2-DomCrawler - Symfony2 DomCrawler Component
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: php-channel-symfony2 823044
Blocks: 823070
  Show dependency treegraph
 
Reported: 2012-05-18 17:27 EDT by Shawn Iwinski
Modified: 2012-06-30 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-27 23:21:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-symfony2-DomCrawler-review.txt (6.04 KB, text/plain)
2012-06-09 03:27 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2012-05-18 17:27:42 EDT
Spec URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-DomCrawler.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-DomCrawler-2.0.14-1.fc16.src.rpm

Description:
The DomCrawler Component eases DOM navigation for HTML and XML documents.
Comment 1 Shawn Iwinski 2012-05-20 13:49:29 EDT
Updates per comments in bug 823043

- Removed BuildRoot
- Changed php require to php-common
- Added the following requires based on phpci results:
  php-pcre, php-spl
- Removed %defattr from %files section

SPEC URL:
http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-DomCrawler.spec

SRPM URL:
http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-DomCrawler-2.0.14-2.fc16.src.rpm
Comment 3 Shawn Iwinski 2012-05-31 13:10:45 EDT
Updated to upstream version 2.0.15 & updates per bug #817303

- Removed "BuildRequires: php-pear >= 1:1.4.9-1.2"
- Updated %prep section
- Removed cleaning buildroot from %install section
- Removed documentation move from %install section (fixed upstream)
- Removed %clean section
- Updated %doc in %files section

SPEC URL: http://people.redhat.com/siwinski/rpmbuild/SPECS/php-symfony2-DomCrawler.spec

SRPM URL: http://people.redhat.com/siwinski/rpmbuild/SRPMS/php-symfony2-DomCrawler-2.0.15-1.fc16.src.rpm
Comment 4 Remi Collet 2012-06-09 03:27:25 EDT
Created attachment 590558 [details]
php-symfony2-DomCrawler-review.txt

Generated by fedora-review 0.1.3
Comment 5 Remi Collet 2012-06-09 03:29:17 EDT
SHOULD : from package.xml optionnal requires for php-pear(pear.symfony.com/CssSelector)
=> packager choice.
If you add this requires, you must not own 
- %{pear_phpdir}/Symfony
- %{pear_phpdir}/Symfony/Component


No blocker

=== APPROVED ===
Comment 6 Shawn Iwinski 2012-06-09 22:56:43 EDT
New Package SCM Request
=======================
Package Name: php-symfony2-DomCrawler
Short Description: Symfony2 DomCrawler Component
Owners: siwinski
Branches: f16 f17 el6
InitialCC:
Comment 7 Gwyn Ciesla 2012-06-10 10:16:12 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-11 22:55:57 EDT
php-symfony2-DomCrawler-2.0.15-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-symfony2-DomCrawler-2.0.15-2.fc17
Comment 9 Fedora Update System 2012-06-11 22:56:06 EDT
php-symfony2-DomCrawler-2.0.15-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-symfony2-DomCrawler-2.0.15-2.el6
Comment 10 Fedora Update System 2012-06-11 22:56:18 EDT
php-symfony2-DomCrawler-2.0.15-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-symfony2-DomCrawler-2.0.15-2.fc16
Comment 11 Fedora Update System 2012-06-13 17:29:25 EDT
php-symfony2-DomCrawler-2.0.15-2.fc16 has been pushed to the Fedora 16 testing repository.
Comment 12 Fedora Update System 2012-06-27 23:21:48 EDT
php-symfony2-DomCrawler-2.0.15-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Fedora Update System 2012-06-27 23:43:27 EDT
php-symfony2-DomCrawler-2.0.15-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 14 Fedora Update System 2012-06-30 21:31:56 EDT
php-symfony2-DomCrawler-2.0.15-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.